[Numpy-discussion] bdist-rpm problem

konrad.hinsen at laposte.net konrad.hinsen at laposte.net
Fri Mar 4 02:10:21 CST 2005


On Mar 4, 2005, at 1:58, Stephen Walton wrote:

> It turns out there are two problems.  One is that even if one has 
> python2.3 and python2.2 installed, bdist_rpm always calls the 
> interpreter named 'python', which is

That can be changed with the option "--python".

>  2.2 on FC1.  The other problem is that in bdist_rpm.py there is a set 
> of lines near line 307 which tests if the number of generated RPM 
> files is 1.  This fails because all of matplotlib, numeric, numarray 
> and scipy generate a debuginfo RPM when one does 'python setup.py 
> bdist_rpm'.  (Why the RPM count doesn't fail with

This is a common problem, but it is safe to ignore the error message, 
the RPMs are fine.

Konrad.
--
---------------------------------------------------------------------
Konrad Hinsen
Laboratoire Léon Brillouin, CEA Saclay,
91191 Gif-sur-Yvette Cedex, France
Tel.: +33-1 69 08 79 25
Fax: +33-1 69 08 82 61
E-Mail: khinsen at cea.fr
---------------------------------------------------------------------





More information about the Numpy-discussion mailing list